import { ValueType, Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class SortedIntRangeList_IntRange extends ValueType {
    static $t: Type;
    constructor(a: number, b: number, c: number);
    constructor();
    constructor(a: number, ..._rest: any[]);
    c: number;
    b: number;
    readonly a: number;
    toString(): string;
}
